Package com.sap.ai.sdk.core.model

# Enum Class AiDeployment.TargetStatusEnum

java.lang.Object
java.lang.Enum<AiDeployment.TargetStatusEnum>
com.sap.ai.sdk.core.model.AiDeployment.TargetStatusEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<AiDeployment.TargetStatusEnum>`, `Constable`

Enclosing class:
  `AiDeployment`

public static enum AiDeployment.TargetStatusEnum extends Enum<AiDeployment.TargetStatusEnum>
Deployment target status

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DELETED`
  The DELETED option of this AiDeployment
  `RUNNING`
  The RUNNING option of this AiDeployment
  `STOPPED`
  The STOPPED option of this AiDeployment
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this AiDeployment

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AiDeployment.TargetStatusEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static AiDeployment.TargetStatusEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AiDeployment.TargetStatusEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RUNNING

    public static final AiDeployment.TargetStatusEnum RUNNING
    The RUNNING option of this AiDeployment

  - ### STOPPED

    public static final AiDeployment.TargetStatusEnum STOPPED
    The STOPPED option of this AiDeployment

  - ### DELETED

    public static final AiDeployment.TargetStatusEnum DELETED
    The DELETED option of this AiDeployment

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final AiDeployment.TargetStatusEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this AiDeployment

- ## Method Details

  - ### values

    public static AiDeployment.TargetStatusEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AiDeployment.TargetStatusEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<AiDeployment.TargetStatusEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static AiDeployment.TargetStatusEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type AiDeployment